#ifndef FUNCTIONS_INTTOSTR
#define FUNCTIONS_INTTOSTR

static LONG IntToStr(LONG Integer, STRING String, LONG StringSize)
{
   LONG count, build, digits;

   if (!String) return(0);

   if (StringSize < 1) StringSize = 40;

   digits = 0;
   if (Integer < 0) {
      *String++ = '-';
      Integer   = -Integer;
      digits++;
   }

   if (Integer) {
      count = 1000000000;
      while (Integer < count) count = count/10;

      while (count > 0) {
         build = 0;
         while (Integer >= count) {
            Integer -= count;
            build++;
         }
         *String++ = (BYTE)(build + '0');
         count = count/10;
         digits++;
      }
   }
   else {
      *String++ = '0';
      digits++;
   }

   *String = 0;
   return(digits);
}

#endif /* FUNCTIONS_INTTOSTR */
